Update payment link | Moov Documentation
Update payment link
Update a payment link.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/transfers.write scope.
PATCH
/accounts/{accountID}/payment-links/{paymentLinkCode}
Ask
curl -X PATCH "https://api.moov.io/accounts/{accountID}/payment-links/{paymentLinkCode}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00" \
-d '{
"amount": {
"currency": "USD",
"value": 12099
},
"amountDetails": {
"tax": {
"currency": "USD",
"valueDecimal": "9.25"
}
},
"customer": {
"requirePhone": true,
"requireAddress": true
}
}'
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.paymentLinks.update({
accountID: "ddad6613-2350-446a-883b-f76abb2cd4ea",
paymentLinkCode: "uc7ZYKrMhi",
updatePaymentLink: {
amount: {
currency: "USD",
value: 12099,
},
customer: {
requireAddress: true,
requirePhone: true,
},
amountDetails: {
tax: {
currency: "USD",
valueDecimal: "9.25",
},
},
},
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\